Vehicle Databases
🇬🇧en

Market Value API Documentation

Welcome to Vehicle Databases API's Documentation

Market Value

GETJSON Response

Overview

Get access to trade-in, private party, and retail values for any vehicle based on state and mileage with our vehicle market value API. Vehicle Databases API service allows you instant access to accurate vehicle market value information. We provide estimates of market value for used and new cars by year, make, model and trim based on market trends analysis for used cars and dealer sales all across North America. We analyze vehicle market value data based on millions of vehicle sales and transactions. Our database is updated frequently to give accurate market value details.

COVERAGE
US Region Vehicles.
SUPPORT
Works for 17 characters VINs

HTTP Request

Endpoint

GEThttps://api.vehicledatabases.com/market-value/v2/{vin}

Request

import requests
response = requests.get(
    "https://api.vehicledatabases.com/market-value/v2/{vin}",
    headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())

GET Parameters

vinRequired
17 characters VIN number
mileage (query parameter)Required
Vehicle Mileage in miles
state (query parameter)Required
US State

JSON Response

The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:

Example Response

Response Fields

status
"success" or "error"
data
An object containing all data available.

Response

{
        "status": "success",
        "data": {
            "intro": {
                "vin": "WBAPH7G50BNM56522"
            },
            "basic": {
                "make": "BMW",
                "model": "328",
                "year": "2011",
                "trim": "i 4dr Rear-wheel Drive Sedan Manual",
                "state": "NY",
                "mileage": "12,000"
            },
            "market_value": {
                "market_value_data": [
                    {
                        "trim": "i 4dr Rear-wheel Drive Sedan Manual",
                        "market value": [
                            {
                                "Condition": "Outstanding",
                                "Trade-In": "$6,829",
                                "Private Party": "$12,153",
                                "Dealer Retail": "$15,200"
                            },
                            {
                                "Condition": "Clean",
                                "Trade-In": "$6,483",
                                "Private Party": "$11,473",
                                "Dealer Retail": "$14,273"
                            },
                            {
                                "Condition": "Average",
                                "Trade-In": "$5,906",
                                "Private Party": "$10,341",
                                "Dealer Retail": "$12,727"
                            },
                            {
                                "Condition": "Rough",
                                "Trade-In": "$5,157",
                                "Private Party": "$8,869",
                                "Dealer Retail": "$10,719"
                            }
                        ]
                    }
                ]
            }
        }
    }

Error Responses

errorstatus

When an error occurs, the API returns an error status with a code and message.

400Record(s) were not found for this vehicle.Verify the VIN or YMM is correct.
401Invalid API KeyCheck your API key for correctness and ensure it is properly formatted.
403Rate limit exceededYou have exceeded the number of allowed requests in a given time period. Please wait and try again.
422Validation errorOne or more parameters are invalid. Check the request parameters for correctness.
500Internal server errorAn unexpected error occurred on the server. Please try again later or contact support.